package com.bonus.sgzb.system.mapper;

import com.bonus.sgzb.base.api.domain.BmStorageLog;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BmStorageLogMapper {
    int deleteByPrimaryKey(Integer id);

//    int insert(BmStorageLog record);

    int batchInsert(List<BmStorageLog> records);

    int insertSelective(BmStorageLog record);

    BmStorageLog selectByPrimaryKey(Integer id);

    List<BmStorageLog> selectAll(BmStorageLog record);

    int updateByPrimaryKeySelective(BmStorageLog record);

    int updateByPrimaryKey(BmStorageLog record);
}